Skip to content

Update an agent

PATCH
/api/v1/admin/agents/{id}

Authorizations

session

Browser session cookie.

Type
API Key (cookie: bp_session)
or
apiKey

User API key: Authorization: Bearer bpi_...

Type
HTTP (bearer)

Parameters

Path Parameters

id*
Type
integer
Required
Format
"int64"

Request Body

application/json
JSON
{
  
"$schema": "https://bpincentives.com/schemas/Admin-update-agentRequest.json",
  
"dataMode": "string",
  
"enabled": true,
  
"label": "string",
  
"pollMax": "string",
  
"pollMin": "string",
  
"provider": "string",
  
"region": "string"
}

Responses

OK

application/json
JSON
{
  
"$schema": "https://bpincentives.com/schemas/Admin-update-agentResponse.json",
  
"agent": {
  
  
"enabled": true,
  
  
"id": 0,
  
  
"label": "string",
  
  
"lastReadingAt": 0,
  
  
"platform": "string",
  
  
"pollMax": "string",
  
  
"pollMin": "string",
  
  
"provider": "string",
  
  
"provisionId": "string",
  
  
"readings": 0,
  
  
"region": "string",
  
  
"source": "string"
  
}
}

Playground

Authorization
Variables
Key
Value
Body

Samples

Powered by VitePress OpenAPI